- name: Drop products table
  community.mysql.mysql_query:
    login_db: projet_ossec_database
    login_user: "{{mysql_root_user}}"
    login_password: "{{mysql_root_password}}"
    login_unix_socket: /var/run/mysqld/mysqld.sock
    query: "DROP TABLE IF EXISTS products;"

- name: Drop stock table
  community.mysql.mysql_query:
    login_db: projet_ossec_database
    login_user: "{{mysql_root_user}}"
    login_password: "{{mysql_root_password}}"
    login_unix_socket: /var/run/mysqld/mysqld.sock
    query: "DROP TABLE IF EXISTS stock;"

- name: Create products table
  community.mysql.mysql_query:
    login_db: projet_ossec_database
    login_user: "{{mysql_root_user}}"
    login_password: "{{mysql_root_password}}"
    login_unix_socket: /var/run/mysqld/mysqld.sock
    query:
      CREATE TABLE products (
        id INT(11) AUTO_INCREMENT PRIMARY KEY,
        name VARCHAR(255),
        description TEXT
      )

- name: Create stock table
  community.mysql.mysql_query:
    login_db: projet_ossec_database
    login_user: "{{mysql_root_user}}"
    login_password: "{{mysql_root_password}}"
    login_unix_socket: /var/run/mysqld/mysqld.sock
    query:
      CREATE TABLE stock (
        id INT(11) AUTO_INCREMENT PRIMARY KEY,
        product_id INT(11),
        quantity INT(11)
      )

- name: Insert data into products table
  community.mysql.mysql_query:
    login_db: projet_ossec_database
    login_user: "{{mysql_root_user}}"
    login_password: "{{mysql_root_password}}"
    login_unix_socket: /var/run/mysqld/mysqld.sock
    query:
      "INSERT INTO products (name, description)
      VALUES
        ('Product 1', 'Description 1'),
        ('Product 2', 'Description 2'),
        ('Product 3', 'Description 3'),
        ('Product 4', 'Description 4'),
        ('Product 5', 'Description 5');"

- name: Insert data into stock table
  community.mysql.mysql_query:
    login_db: projet_ossec_database
    login_user: "{{mysql_root_user}}"
    login_password: "{{mysql_root_password}}"
    login_unix_socket: /var/run/mysqld/mysqld.sock
    query: 
      "INSERT INTO stock (product_id, quantity)
      VALUES
        (1, 10),
        (2, 15),
        (3, 5),
        (4, 20),
        (5, 8);"

- name: Simple select query to db
  community.mysql.mysql_query:
    login_db: projet_ossec_database
    login_user: "{{mysql_root_user}}"
    login_password: "{{mysql_root_password}}"
    login_unix_socket: /run/mysqld/mysqld.sock
    query: SELECT * FROM products
  register: query_result

- name: Display query result
  debug:
    var: query_result